\name{Wikipedia_multi}
\alias{Wikipedia_multi}
\docType{data}
\title{Wikipedia Multi-Lingual Corpus}
\description{
  A small multi-lingual corpus obtained from the Wikipedia pages on
  France, Internet, Mathematics, Medicine, Philosophy, Religion, Rice,
  Statistics, USA, Wikipedia, and all available language variants of
  these.
}
\usage{
data("Wikipedia_multi")
}
\format{
  A \code{\link[tm:VCorpus]{Corpus}} of plain text documents.
}
\details{
  The corpus was built by using the MediaWiki API
  (\verb{action=query&prop=langlinks}) to get the language links for the
  English Wikipedia pages on the 10 topics, then fetch the HTML content
  of all Wikipedia pages thus identified, and use XPath to extract the
  page \dQuote{texts} as the content inside \verb{<p>} tags.

  The code for doing so is not included in the package: it is planned to
  put the general-purpose parts into a MediaWiki API package eventually.
}
\examples{
data("Wikipedia_multi")
## Extract the language ids.
langs <- meta(Wikipedia_multi, "Language", type = "local")
langs <- unlist(langs)
## Tabulate:
tab <- table(langs)
## Find the languages with pages for all 10 topics.
names(tab[tab == 10])
## Note "simple", which indicates "Simple English Wikipedia"
## (http://simple.wikipedia.org).
## Find the languages with pages for only 1 topic.
names(tab[tab == 1])
## To obtain the descriptions of the languages corresponding to the
## language ids, use parse_IETF_language_tag() from package 'tau' with
## argument 'expand = TRUE'.
}
\keyword{datasets}
